package com.hzya.frame.test.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.entity.BaseResult;
import com.hzya.frame.entity.JsonResultEntity;
import com.hzya.frame.test.dao.ITestDao;
import com.hzya.frame.test.entity.TestEntity;
import com.hzya.frame.test.service.ITestService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service(value = "testService")
public class TestServiceImpl implements ITestService {
    private Logger logger = LoggerFactory.getLogger(this.getClass());

    @Resource
    private ITestDao testDao;
    @Override
    public JsonResultEntity testCore(JSONObject jsonObject) {
        logger.info("testCore");
        logger.error("testCore");
        TestEntity testEntity = new TestEntity();
        testEntity.setValue("名字");
        List<TestEntity> testEntityList =  testDao.queryAll(testEntity);
        return BaseResult.getSuccessMessageEntity("testCore",testEntityList);
    }

}
